/*******************************************************************************
 * FoxHudUI_TKOTH generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxHudUI_TKOTH extends FoxHudUI_TDM within FoxUI
    native(HUD)
    config(HUD);

var const localized string LocStringInitializeBeacon;
var const localized string LocStringContestingBeacon;
var const localized string LocStringCapturedBeacon;
var const localized string LocStringOpposingTeamHacked;
var const localized string LocStringTeamHacked;
var float LastTeam1CaptureRatio;
var float LastTeam2CaptureRatio;
var FoxGameObject_HillPoint uiCachedActiveHillPoint;

function SetupGameTypeWidget()
{
    AddGameTypeWidget(Outer.MyFoxHud.GameClass.default.GameTypeAbbreviatedName, 0);
    as_updateBlueCapNodes(LastMyTeamCapturedPoints);
    as_updateRedCapNodes(LastOtherTeamCapturedPoints);
    as_updateRedTeamScore(string(LastRedTeamScore), 0.0);
    as_updateBlueTeamScore(string(LastBlueTeamScore), 0.0);
    //return;    
}

defaultproperties
{
    LocStringInitializeBeacon="INITIALIZING BEACON"
    LocStringContestingBeacon="CONTESTING BEACON"
    LocStringCapturedBeacon="BEACON CAPTURED"
    LocStringOpposingTeamHacked="HAS CAPTURED THE BEACON. BEACON CAN NOT BE HACKED DUE TO OVERLOAD."
    LocStringTeamHacked="HAS HACKED THE BEACON!"
    GameplayDetailStrings(0)="Capture beacons for points"
    GameplayDetailStrings(1)="First team to hit %i points wins"
    GameplayDetailStrings(2)="Have fun!"
}